diff -r e87eb99f42b5 code/ryzom/common/src/game_share/xml_auto_ptr.cpp
--- a/code/ryzom/common/src/game_share/xml_auto_ptr.cpp	Sat May 15 09:51:43 2010 +0200
+++ b/code/ryzom/common/src/game_share/xml_auto_ptr.cpp	Sat May 15 14:37:47 2010 +0200
@@ -15,6 +15,10 @@
 // along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 
+/* 
+ * completely implemented in xml_auto_ptr.h
+ */
+/* 
 
 #include "stdpch.h"
 #include "xml_auto_ptr.h"
@@ -45,6 +49,7 @@
 	return *this;
 }
 
+*/
 
 
 
diff -r e87eb99f42b5 code/ryzom/common/src/game_share/xml_auto_ptr.h
--- a/code/ryzom/common/src/game_share/xml_auto_ptr.h	Sat May 15 09:51:43 2010 +0200
+++ b/code/ryzom/common/src/game_share/xml_auto_ptr.h	Sat May 15 14:37:47 2010 +0200
@@ -28,7 +28,7 @@
 public:
 	CXMLAutoPtr(const char *value = NULL) : _Value(value) {}
 	CXMLAutoPtr(const unsigned char *value) : _Value((const char *) value) {}
-	~CXMLAutoPtr();
+	~CXMLAutoPtr() { destroy(); }
 	operator const char *() const { return _Value; }
 	operator bool() const { return _Value != NULL; }
 	operator std::string() const { return std::string(_Value); }
@@ -36,7 +36,13 @@
 	operator const unsigned char *() const { return (const unsigned char *)  _Value; }
 	const char operator * ()  const { nlassert(_Value); return *_Value; }
 	/// NB : This remove previous owned pointer with xmlFree
-	CXMLAutoPtr &operator = (const char *other);
+	CXMLAutoPtr &operator = (const char *other)
+	{
+		if (other == _Value) return *this;
+		destroy();
+		_Value = other;
+		return *this;
+	}
 	CXMLAutoPtr &operator = (const unsigned char *other)
 	{
 		*this = (const char *) other;
